Get started with the HERE EV Charge Points API v2
This section outlines how to quickly get started using the HERE EV Charge Points API v2.
Note
This section provides information on the minimum setup required to quickly begin using the HERE EV Charge Points API v2. For more detailed information on HERE account setup, project creation, service linking, app registration, and authentication, see the Identity and Access Management Developer Guide.
Get a HERE account
If you are an individual developer who has signed up for one of the plans listed on the pricing page, you received a HERE account ID when you signed up. You can use your HERE account to log in to HERE platform portal to create applications. Applications (uniquely identified by an app ID) enable development with HERE products and services.
Note
To get access to the EV Charge Points API, a request must be made to HERE support to obtain a commercial or evaluation license. Credentials obtained over the HERE platform portal are only valid for the EV Charge Points API once HERE support has enabled them.
Send a request
This section provides an example of a request for a list of charging stations within a specified search geometry.
In this example, the user wants to find a charging station with an IEC 62196-2 type 2 (Mennekes) connector for an electric vehicle within 5km of latitude 52.516667 and longitude 13.383333, which is in Berlin, Germany. The latitude and longitude values are in WGS 84 format.
Note
The following example uses an authentication token. For more information on authentication tokens, see the Identity and Access Management Developer Guide.
The following code block demonstrates the complete request, specifying that the response data is to be delivered in JSON using a bearer token.
GET
https://ev-v2.cc.api.here.com/ev/stations.json
?prox=52.516667,13.383333,5000
&connectortype=31
-H 'Authorization: Bearer {YOUR_TOKEN}'The following code block demonstrates the complete request, specifying that the response data is to be delivered in JSON using an API Key.
GET
https://ev-v2.cc.api.here.com/ev/stations.json
?prox=52.516667,13.383333,5000
&connectortype=31&apiKey={YOUR_API_KEY};
The following code block is the same request, but indicating that the response data is to be delivered in XML using a bearer token.
GET
https://ev-v2.cc.api.here.com/ev/stations.xml
?prox=52.516667,13.383333,5000
&connectortype=31
-H 'Authorization: Bearer {YOUR_TOKEN}'
The following code block is the same request, but indicating that the response data is to be delivered in XML using an API Key.
GET
https://ev-v2.cc.api.here.com/ev/stations.xml
?prox=52.516667,13.383333,5000
&connectortype=31&apiKey={YOUR_API_KEY};
The response to the request contains:
- Information about the charging stations.
- Information about the connectors at charging stations.
- Detailed information about the connectors at a charging stations.
The example response in JSON format is as follows:
{
"hasMore": false,
"count": 1,
"evStations": {
"evStation": [
{
"id": "ZW06NDE4ZTUzYmZkMDQ5YWY1Yzc1MjQ0YmRkOWRkZWYyMjI",
"lastUpdateTimestamp": "2024-02-19T17:54:37.000Z",
"timeZone": "Europe/Helsinki",
"address": {
"state": "Pohjois-Suomi",
"county": "Pohjois-Pohjanmaa",
"city": "Oulu",
"country": "FIN",
"district": "Oulu",
"street": "Kiilakivenkuja",
"streetNumber": "2",
"postalCode": "90250",
"unparsedAddress": "Kiilakivenkuja 2",
"sideOfStreet": "RIGHT"
},
"contacts": {
"phone": [
{
"value": "+35820334455",
"label": "PHONE"
}
],
"website": [
{
"value": "https://rechargeinfra.com",
"label": "WEBSITE"
}
]
},
"distance": 0,
"position": {
"latitude": 64.985063,
"longitude": 25.511302
},
"entrancePosition": {
"latitude": 64.984878,
"longitude": 25.51129
},
"name": "Recharge",
"brand": "Recharge",
"poolId": "246ued1sw0v2m-aGVyZS1ldjplY29tb3ZlbWVudDoxNTUyMzM5Nzc0",
"cpoId": "0476045c-f356-11ed-a976-42010aa40fc0",
"totalNumberOfConnectors": 4,
"connectors": {
"connector": [
{
"supplierName": "Recharge",
"connectorType": {
"name": "IEC 62196-3 type 2 combo (Mennekes)",
"id": "34"
},
"chargeCapacity": "1000-1000VDC, at max 300A",
"maxPowerLevel": 300,
"customerChargeLevel": "4",
"customerConnectorName": "AC/DC combo (Mennekes - type 2)",
"fixedCable": true,
"connectorDetails": {
"reservable": true,
"open24x7": true,
"openingHours": {
"regularOpeningHours": [
{
"daymask": 127,
"period": [
{
"from": "00:00:00",
"to": "23:59:59"
}
]
}
]
},
"pay": true,
"pricing": [
{
"pricingModel": "kWh",
"price": {
"value": 0.496,
"currency": "EUR"
},
"unit": {
"value": "kWh",
"amount": 1
}
}
]
},
"chargingPoint": {
"chargeMode": "4",
"voltsRange": "1000-1000V DC",
"ampsRange": "300A",
"numberOfConnectors": 4,
"numberOfAvailable": 3,
"numberOfInUse": 1,
"lastUpdateTimestamp": "2024-02-27T09:54:15.000Z"
},
"lastUpdateTimestamp": "2024-02-19T08:44:20.000Z",
"connectorStatuses": {
"connectorStatus": [
{
"cpoEvseId": "6666",
"cpoEvseEMI3Id": "FI*CHA*EF933*A",
"physicalReference": "F933",
"cpoConnectorId": "6666",
"state": "AVAILABLE"
},
{
"cpoEvseId": "6667",
"cpoEvseEMI3Id": "FI*CHA*EF933*B",
"physicalReference": "F933",
"cpoConnectorId": "6667",
"state": "AVAILABLE"
},
{
"cpoEvseId": "7580",
"cpoEvseEMI3Id": "FI*CHA*EF968*A",
"physicalReference": "F968",
"cpoConnectorId": "7580",
"state": "AVAILABLE"
},
{
"cpoEvseId": "7581",
"cpoEvseEMI3Id": "FI*CHA*EF968*B",
"physicalReference": "F968",
"cpoConnectorId": "7581",
"state": "OCCUPIED"
}
]
},
"supplierUID": "1f7ef60a-cca5-11ed-8dd9-42010aa40002",
"supplierEmaID": [
"SE-REC"
]
}
]
},
"evStationDetails": {
"privateAccess": false,
"restrictedAccess": false,
"accessibilityType": "PUBLIC",
"paymentMethods": {
"other": {
"accept": true,
"types": {
"type": [
"app",
"rfid-reader",
"terminal-qr-code",
"terminal-sms"
]
}
}
}
},
"roaming": [
{
"emsp": "Plugsurfing",
"partnerId": "1f351b84-cca5-11ed-8155-42010aa40002"
},
{
"emsp": "Shell Recharge",
"partnerId": "1f39ad02-cca5-11ed-9d1a-42010aa40002",
"emaId": [
"AT-SHE",
"AT-TNM",
"BE-SFS",
"BE-SHL",
"BE-TNM",
"DK-TNM",
"ES-TNM",
"FR-TNM",
"GB-TNM",
"IE-TNM",
"IT-TNM",
"LU-SFS",
"LU-SHL",
"LU-TNM",
"NL-SFS",
"NL-SHL",
"NL-TNM",
"NO-TNM",
"SE-TNM"
]
},
{
"emsp": "Recharge",
"partnerId": "1f7ef60a-cca5-11ed-8dd9-42010aa40002",
"emaId": [
"SE-REC"
]
},
{
"emsp": "ChargePoint",
"partnerId": "1f90fdf0-cca5-11ed-be23-42010aa40002",
"emaId": [
"AT-CPI",
"BE-ALD",
"BE-CPI",
"DE-CPI",
"ES-CPI",
"FR-CPI",
"GB-CPI",
"IE-CPI",
"IT-CPI",
"LU-ALD",
"NL-ALD",
"NL-CPI",
"SE-CPI"
]
},
{
"emsp": "Freshmile",
"partnerId": "21d6b686-cca5-11ed-83b8-42010aa40002"
},
{
"emsp": "BMW",
"partnerId": "21ef8850-cca5-11ed-9d2b-42010aa40002"
},
{
"emsp": "Kia",
"partnerId": "2421fb30-cca5-11ed-89c1-42010aa40002"
},
{
"emsp": "Mobiliti",
"partnerId": "27393dba-cca5-11ed-9b8b-42010aa40002"
},
{
"emsp": "AUDI",
"partnerId": "295adedc-cca5-11ed-8fa2-42010aa40002",
"emaId": [
"DE-AUC"
]
},
{
"emsp": "Kople",
"partnerId": "2b8fafe8-cca5-11ed-a62f-42010aa40002",
"emaId": [
"NO-KPL"
]
},
{
"emsp": "Hyundai",
"partnerId": "2d6754b0-cca5-11ed-ade1-42010aa40002"
},
{
"emsp": "Jaguar Charging",
"partnerId": "3379b852-cca5-11ed-8856-42010aa40002"
},
{
"emsp": "Lotus",
"partnerId": "79c4c474-19a2-11ee-880e-42010aa40002"
},
{
"emsp": "Bosch",
"partnerId": "268699a8-cca5-11ed-951e-42010aa40002",
"emaId": [
"DE-8RB"
]
},
{
"emsp": "vinfast",
"partnerId": "3a632824-cca5-11ed-8029-42010aa40002"
}
]
}
]
}
}
The example response in XML format is as follows:
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ev:evStationsResult xmlns:ev="http://www.here.com/2014/02/ACS-EV" xmlns:common="http://www.here.com/2014/02/ACS-Common" xmlns:error="http://www.navteq.com/APND/Error/v2.0">
<hasMore>false</hasMore>
<count>1</count>
<evStations>
<evStation id="NTRlZjA5MDQtMTBkYi0xMWVlLThhYTUtNDIwMTBhYTQwZmMw" lastUpdateTimestamp="2024-03-26T19:19:43.000Z" timeZone="Europe/Helsinki">
<address>
<state>Pohjois-Suomi</state>
<county>Pohjois-Pohjanmaa</county>
<city>Oulu</city>
<country>FIN</country>
<district>Oulu</district>
<street>Kiilakivenkuja</street>
<streetNumber>1</streetNumber>
<postalCode>90250</postalCode>
<unparsedAddress>Kiilakivenkuja 1</unparsedAddress>
<sideOfStreet>LEFT</sideOfStreet>
</address>
<distance>74</distance>
<position>
<latitude>64.984772</latitude>
<longitude>25.510699</longitude>
</position>
<entrancePosition>
<latitude>64.98489</latitude>
<longitude>25.510699</longitude>
</entrancePosition>
<name>PlugIT</name>
<brand>PlugIT</brand>
<poolId>evcp0-NTRlZjA5MDQtMTBkYi0xMWVlLThhYTUtNDIwMTBhYTQwZmMw</poolId>
<cpoId>54ef0904-10db-11ee-8aa5-42010aa40fc0</cpoId>
<totalNumberOfConnectors>6</totalNumberOfConnectors>
<connectors>
<connector>
<supplierName>PlugIT</supplierName>
<connectorType>
<name>IEC 62196-2 type 2 (Mennekes)</name>
<id>31</id>
</connectorType>
<chargeCapacity>230-230VAC, 3-phase at max 32A</chargeCapacity>
<maxPowerLevel>22.0</maxPowerLevel>
<customerChargeLevel>3</customerChargeLevel>
<customerConnectorName>AC EV connector (Mennekes - type 2)</customerConnectorName>
<fixedCable>false</fixedCable>
<chargingPoint>
<chargeMode>3</chargeMode>
<voltsRange>230-230V AC</voltsRange>
<phases>3</phases>
<ampsRange>32A</ampsRange>
<numberOfConnectors>6</numberOfConnectors>
<numberOfAvailable>6</numberOfAvailable>
<lastUpdateTimestamp>2023-10-02T13:26:10.000Z</lastUpdateTimestamp>
</chargingPoint>
<lastUpdateTimestamp>2024-03-21T08:56:34.000Z</lastUpdateTimestamp>
<connectorStatuses>
<connectorStatus>
<cpoEvseId>595cceaaeb21a9134cd81d1c</cpoEvseId>
<cpoEvseEMI3Id>FI*PLG*1313</cpoEvseEMI3Id>
<physicalReference>1313</physicalReference>
<cpoConnectorId>595cceaaeb21a9134cd81d1c</cpoConnectorId>
<state>AVAILABLE</state>
</connectorStatus>
<connectorStatus>
<cpoEvseId>595cceaaeb21a9134cd81c76</cpoEvseId>
<cpoEvseEMI3Id>FI*PLG*1307</cpoEvseEMI3Id>
<physicalReference>1307</physicalReference>
<cpoConnectorId>595cceaaeb21a9134cd81c76</cpoConnectorId>
<state>AVAILABLE</state>
</connectorStatus>
<connectorStatus>
<cpoEvseId>595cceaaeb21a9134cd81db2</cpoEvseId>
<cpoEvseEMI3Id>FI*PLG*1369</cpoEvseEMI3Id>
<physicalReference>1369</physicalReference>
<cpoConnectorId>595cceaaeb21a9134cd81db2</cpoConnectorId>
<state>AVAILABLE</state>
</connectorStatus>
<connectorStatus>
<cpoEvseId>595cceaaeb21a9134cd81d30</cpoEvseId>
<cpoEvseEMI3Id>FI*PLG*1357</cpoEvseEMI3Id>
<physicalReference>1357</physicalReference>
<cpoConnectorId>595cceaaeb21a9134cd81d30</cpoConnectorId>
<state>AVAILABLE</state>
</connectorStatus>
<connectorStatus>
<cpoEvseId>595cceaaeb21a9134cd81c9e</cpoEvseId>
<cpoEvseEMI3Id>FI*PLG*1294</cpoEvseEMI3Id>
<physicalReference>1294</physicalReference>
<cpoConnectorId>595cceaaeb21a9134cd81c9e</cpoConnectorId>
<state>AVAILABLE</state>
</connectorStatus>
<connectorStatus>
<cpoEvseId>595cceaaeb21a9134cd81dbb</cpoEvseId>
<cpoEvseEMI3Id>FI*PLG*1296</cpoEvseEMI3Id>
<physicalReference>1296</physicalReference>
<cpoConnectorId>595cceaaeb21a9134cd81dbb</cpoConnectorId>
<state>AVAILABLE</state>
</connectorStatus>
</connectorStatuses>
<supplierUID>23e7f64c-cca5-11ed-9ad5-42010aa40002</supplierUID>
</connector>
</connectors>
<evStationDetails>
<privateAccess>false</privateAccess>
<restrictedAccess>true</restrictedAccess>
<accessibilityType>RESTRICTED</accessibilityType>
</evStationDetails>
</evStation>
</evStations>
</ev:evStationsResult>
For more details about responses to this type of request, see Stations Response.
Next steps
For the terms and conditions covering this documentation, see the HERE Documentation License.
Updated 2 days ago